org.eclipse.wst.jsdt.chromium.debug.ui

## Class JsDebugModelPresentation

- java.lang.Object
- - LabelProvider
  - - org.eclipse.wst.jsdt.chromium.debug.ui.JsDebugModelPresentation

    public class JsDebugModelPresentation
    extends LabelProvider

An IDebugModelPresentation for the Chromium JavaScript debug model.

### Constructor Summary

Constructors
Constructor and Description
`JsDebugModelPresentation()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`void` `computeDetail(IValue value, IValueDetailListener listener)`
`java.lang.String` `getEditorId(IEditorInput input, java.lang.Object element)`
`IEditorInput` `getEditorInput(java.lang.Object element)`
`Image` `getImage(java.lang.Object element)`
`java.lang.String` `getText(java.lang.Object element)`
`void` `setAttribute(java.lang.String attribute, java.lang.Object value)`
`static IEditorInput` `toEditorInput(java.lang.Object element)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### JsDebugModelPresentation

    public JsDebugModelPresentation()

### Method Detail

#### setAttribute

    public void setAttribute(java.lang.String attribute,
                             java.lang.Object value)

#### getImage

    public Image getImage(java.lang.Object element)

#### getText

    public java.lang.String getText(java.lang.Object element)

#### computeDetail

    public void computeDetail(IValue value,
                              IValueDetailListener listener)

#### getEditorInput

    public IEditorInput getEditorInput(java.lang.Object element)

#### toEditorInput

    public static IEditorInput toEditorInput(java.lang.Object element)

#### getEditorId

    public java.lang.String getEditorId(IEditorInput input,
                                        java.lang.Object element)